SQL-инъекция в PwsPHP

Дата публикации:
02.03.2006
Дата изменения:
16.10.2006
Всего просмотров:
2530
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PwsPHP 1.x
Уязвимые версии: PwsPHP 1.2.3, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "id" в модуле "sondage". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Удачная эксплуатация уязвимости позволит злоумышленнику заполучить md5 хеши паролей пользователей. Пример:

http://victim/index.php?mod=sondages&do=results&id=1%20union%20select
%20id,0,0,pseudo,pass,pseudo,0,0,0,0,0,0,0,0,0,0,0,0,0,0%20from%20%60users%60%20/*

Пример/Эксплоит:
PwsPHP <= 1.2.4 (index.php) Remote SQL Injection Exploit

URL производителя: www.pwsphp.com

Решение: Установите последнюю версию (1.2.4) с сайта производителя.

Источник:

Ссылки: PwsPHP Injection SQL on Index.php

или введите имя

CAPTCHA